/**
 * 刷新
 */
import { Button, Balloon } from '@alicloudfe/components';
import TeamixIcon from '@teamix/icon';
import { baseClass } from '@teamix/utils';
import React from 'react';
import './index.scss';
var cls = baseClass('teamix-pro-table-toolbar-icon');

var LayoutIcon = function LayoutIcon(props) {
  var actionRef = props.actionRef;
  return /*#__PURE__*/React.createElement(Balloon.Tooltip, {
    trigger: /*#__PURE__*/React.createElement(Button, {
      iconSize: "small",
      className: cls(),
      onClick: function onClick() {
        var _actionRef$current, _actionRef$current$re;

        return (_actionRef$current = actionRef.current) === null || _actionRef$current === void 0 ? void 0 : (_actionRef$current$re = _actionRef$current.refresh) === null || _actionRef$current$re === void 0 ? void 0 : _actionRef$current$re.call(_actionRef$current);
      }
    }, /*#__PURE__*/React.createElement(TeamixIcon, {
      size: "small",
      type: "refresh-line"
    })),
    align: "t"
  }, "\u5237\u65B0");
};

export default LayoutIcon;